Package net.snowflake.client.loader

## Class FileUploader

- java.lang.Object
- - net.snowflake.client.loader.FileUploader

All Implemented Interfaces:
  `Runnable`

    public class FileUploader
    extends Object
    implements Runnable

Class responsible for uploading a single data file.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `join()`
`void` `run()`
`void` `upload()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### upload

    public void upload()

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`

#### join

    public void join()